<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <GenerateDocumentationFile>True</GenerateDocumentationFile>
	</PropertyGroup>

  <ItemGroup>
    <Compile Remove="logs\**" />
    <Content Remove="logs\**" />
    <EmbeddedResource Remove="logs\**" />
    <None Remove="logs\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="C:\Users\Dai Zan\.nuget\packages\volo.abp.aspnetcore.serilog\8.3.3\contentFiles\any\net8.0\Volo.Abp.AspNetCore.Serilog.abppkg.analyze.json" />
    <Content Remove="C:\Users\Dai Zan\.nuget\packages\volo.abp.aspnetcore\8.3.3\contentFiles\any\net8.0\Volo.Abp.AspNetCore.abppkg.analyze.json" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Plugins\ignore.txt" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="AspNetCore.HealthChecks.Kafka" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.MongoDb" Version="8.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.Redis" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.UI" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.UI.Client" Version="9.0.0" />
    <PackageReference Include="AspNetCore.HealthChecks.UI.InMemory.Storage" Version="9.0.0" />

    <PackageReference Include="Hangfire.Redis.StackExchange" Version="1.9.4" />
    <PackageReference Include="Microsoft.AspNetCore.DataProtection.StackExchangeRedis" Version="9.0.0" />
    <PackageReference Include="Serilog" Version="4.1.0" />
    <PackageReference Include="Serilog.AspNetCore" Version="8.0.3" />
    <PackageReference Include="Serilog.Exceptions" Version="8.4.0" />
    <PackageReference Include="Serilog.Extensions.Logging" Version="8.0.0" />
    <PackageReference Include="Serilog.Settings.Configuration" Version="8.0.4" />
    <PackageReference Include="Serilog.Sinks.Async" Version="2.1.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
    <PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="7.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="7.0.0" />
    <PackageReference Include="Volo.Abp.AspNetCore" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.AspNetCore.Authentication.JwtBearer" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.AspNetCore.Serilog" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.Autofac" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.BackgroundWorkers.Hangfire" Version="8.3.3" />
    
    <PackageReference Include="Volo.Abp.Caching.StackExchangeRedis" Version="8.3.3" />
    <PackageReference Include="Volo.Abp.Swashbuckle" Version="8.3.3" />
    <!--<PackageReference Include="Hangfire.HttpJob" Version="3.8.5" />
    <PackageReference Include="Hangfire.MySqlStorage" Version="2.0.3" />
    <PackageReference Include="Hangfire.Dashboard.BasicAuthorization" Version="1.0.2" />-->
  </ItemGroup>

  <ItemGroup>
    <Page Include="Plugins\ignore.txt" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\modules\JiShe.CollectBus.MongoDB\JiShe.CollectBus.MongoDB.csproj" />
    <ProjectReference Include="..\..\services\JiShe.CollectBus.Application.Contracts\JiShe.CollectBus.Application.Contracts.csproj" />
    <ProjectReference Include="..\..\services\JiShe.CollectBus.Application\JiShe.CollectBus.Application.csproj" /> 
    <ProjectReference Include="..\JiShe.CollectBus.HttpApi\JiShe.CollectBus.HttpApi.csproj" /> 
	</ItemGroup>

  <ItemGroup>
    <Content Update="appsettings.json">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T1882018.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T37612012.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Plugins\JiShe.CollectBus.Protocol.T6452007.dll">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
